package pmicrovenus;
public class Solar extends Casilla {
    
    private String color;
    protected int precioCompra;
    private int renta;
    private int nCasas;
    private int precioCasa;

    public Solar(int id, String des, int px, int py) {
        super(id,des,px,py); 
        precioCompra=300;
        renta=50;
        precioCasa=100;
    }
    
     public Solar(int id, String des, int px, int py, String color, int precioCompra,int renta,int precioCasa) {
        super(id,des,px,py); 
        this.setColor(color);
        this.setPrecioCompra(precioCompra);
        this.setRenta(renta);
        this.setPrecioCasa(precioCasa);
    }
    public Solar() {
    }
   
    public int getPrecioCompra() {
        return precioCompra;
    }

    public void setPrecioCompra(int val) {
        this.precioCompra = val;
    }

    public int getRenta() {
        return renta;
    }

    public void setRenta(int val) {
        this.renta = val;
    }


    public int getNCasas() {
        return nCasas;
    }

    public void setNCasas(int val) {
        this.nCasas = val;
    }
    
    public String getColor() {
        return color;
    }

    public void setColor(String val) {
        this.color = val;
    }
    
    public int getPrecioCasa() {
        return precioCasa;
    }

    public void setPrecioCasa(int precioCasa) {
        this.precioCasa = precioCasa;
    }
    
//    public void accion() {
//        System.out.println("Has caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());
//        if (super.getDisponible()==true){
//           System.out.println("¿Comprar solar " + super.getDescripcion() + " por " + getPrecioCompra() + " €? (s/n)"); 
//           
//        }
//        
//    }
//    
      public void accion(Jugador j) {
        System.out.println("Has caido en la casilla numero " + super.getNum() + ", " + super.getDescripcion());
        if (isDisponible()==true){
           System.out.println("¿Comprar solar " + super.getDescripcion() + " por " + getPrecioCompra() + " €? (s/n)"); 
//           j.comprarSolar();
//           super.setPropietario(j);
           j.comprar();
        }else{
//            if (super.getPropietario()==j){//si pertenece al jugador
            if (j.tieneSolar(getDescripcion())){
                //poner casas?
                 System.out.println("¿Poner casas?"); 
                 
                 
            }else{
                //j.pagarRenta();
                j.pagarRentaA(getPropietario(),getRenta());
            }
        }
        
    }

  

   
}
